Get billing account users

Gets the users associated with a billing account.

Billing account owners (`billingAccountRole` of `OWNER`) are always included in the returned list of users. Invited users are included in the returned list according to the query parameters (see below).

By default, returns a list of all billing account owners.

Optional query parameters:

  • `owners`:
    • If provided and equal to TRUE, the result will be filtered to include users who have a `billingAccountRole` of `OWNER` (e.g. technical contact) only. Default.
    • Otherwise, the result will include all users regardless of their `billingAccountRole`.
  • `databaseId`:
    • If provided, the result will be filtered to users invited to that database only.
    • Otherwise, users invited to any database associated with the billing account will be returned. Default.

Request

GET https://www.activityinfo.org/resources/billingAccounts/{accountId}/users

Successful response

application/json

array[object]
userId string The user's id required
email string The user's email required
name string The user's name required
billingAccountRole string The role granted to this user at the Values:
OWNER
Billing account owner, who has permission to add new databases, and to view billing account statistics.
NONE
required
userLicenseType string The user license type required by this user, based on the permissions that have been granted to them at a database level. Values:
NONE
The user has not been assigned any permissions, and so does not require a license, or is a member of the platform technical support team.
BASIC
The user has only "basic" permissions and requires only a basic user license.
FULL
The user requires a "full" user license.
required
lastLoginTime float The user's last login time, in milliseconds since the unix epoch (midnight on January 1st, 1970 UTC). required

Error responses

Status Code Error Code Description
401 AUTHENTICATION_REQUIRED The request must be authenticated
403 FORBIDDEN Permission denied
404 NOT_FOUND The resource could not be found
410 DELETED The resource has been deleted

Example

curl -u anything:YOUR_API_TOKEN \
  https://www.activityinfo.org/resources/billingAccounts/190780004/users
Next item
Get database billing account